From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/squashfs-tools-ng/
Date: Sun, 28 Jul 2019 19:18:08 +0000 (UTC) [thread overview]
Message-ID: <1564341472.083dce930d174d21bd9c488a7bd1c1e5589bfa04.mattst88@gentoo> (raw)
commit: 083dce930d174d21bd9c488a7bd1c1e5589bfa04
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 28 19:16:34 2019 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Jul 28 19:17:52 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=083dce93
sys-fs/squashfs-tools-ng: Version bump to 0.5
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
sys-fs/squashfs-tools-ng/Manifest | 1 +
.../squashfs-tools-ng/squashfs-tools-ng-0.5.ebuild | 46 ++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/sys-fs/squashfs-tools-ng/Manifest b/sys-fs/squashfs-tools-ng/Manifest
index d784474a7b2..acf2fea5e3d 100644
--- a/sys-fs/squashfs-tools-ng/Manifest
+++ b/sys-fs/squashfs-tools-ng/Manifest
@@ -1 +1,2 @@
DIST squashfs-tools-ng-0.4.2.tar.xz 150356 BLAKE2B 8b162c13052c73bf260ef354d2a2d000452e0f682ea5d9ab7192766ac0158c17c67fe4fb71c7bbe2be68c89d6acb0e65742c7b317ad55508ad62c3639e28c9b1 SHA512 91fd89a624521e12b516faa0b3d5ffd7d96584423328864aeab39ada3ab3770f3885e37bb0e57869df6e5abc02d64af5d172f32d73c0542eb23fd27c3252a111
+DIST squashfs-tools-ng-0.5.tar.xz 158048 BLAKE2B e8d53336a0955875eaf5a301329f620f6efd27d27d985c760a7eaaded94a60e1a7384f076311101b4a6de36b1330d7b42866079b074b6af1829d4162c1f62b38 SHA512 b39cd6e9627e71eb0fcc59a587612fe062c3f437e11342e6ec1a1fee1e6a51b38dcc881bf9a1d69578ad4686f939ece8ec02ed79a6cc6c69afe06bc6753390bf
diff --git a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.5.ebuild b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.5.ebuild
new file mode 100644
index 00000000000..60287e83d5f
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A new set of tools for working with SquashFS images"
+HOMEPAGE="https://github.com/AgentD/squashfs-tools-ng"
+if [[ ${PV} = 9999* ]]; then
+ inherit autotools git-r3
+ EGIT_REPO_URI="https://github.com/AgentD/${PN}.git"
+else
+ KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+ SRC_URI="https://infraroot.at/pub/squashfs/${P}.tar.xz"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="lz4 lzo selinux +xz +zlib zstd"
+REQUIRED_USE="|| ( lz4 lzo xz zlib zstd )"
+
+DEPEND="
+ lz4? ( app-arch/lz4:= )
+ lzo? ( dev-libs/lzo:= )
+ xz? ( app-arch/xz-utils:= )
+ selinux? ( sys-libs/libselinux:= )
+ zlib? ( sys-libs/zlib:= )
+ zstd? ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ [[ ${PV} == "9999" ]] && eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_with lz4)
+ $(use_with lzo)
+ $(use_with selinux)
+ $(use_with xz)
+ $(use_with zlib gzip)
+ $(use_with zstd)
+ )
+ econf "${myconf[@]}"
+}
next reply other threads:[~2019-07-28 19:18 UTC|newest]
Thread overview: 56+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-07-28 19:18 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-30 15:46 [gentoo-commits] repo/gentoo:master commit in: sys-fs/squashfs-tools-ng/ Arthur Zamarin
2024-10-30 2:55 Sam James
2024-09-29 0:29 Matt Turner
2024-07-11 15:41 Matt Turner
2024-07-05 21:50 James Le Cuirot
2024-06-04 18:23 Arthur Zamarin
2024-05-03 15:36 Matt Turner
2024-05-03 15:36 Matt Turner
2024-04-29 19:43 Sam James
2024-04-28 6:55 Sam James
2024-04-26 12:50 Sam James
2024-03-19 5:06 Matt Turner
2023-09-14 5:27 WANG Xuerui
2023-09-14 5:27 WANG Xuerui
2023-03-02 1:29 Matt Turner
2023-02-24 9:21 Sam James
2022-12-03 14:56 Matt Turner
2022-10-31 15:41 Matt Turner
2022-10-20 10:52 Jakov Smolić
2022-04-03 0:07 Matt Turner
2021-08-19 19:48 Matt Turner
2021-08-19 19:48 Matt Turner
2021-07-20 17:19 Matt Turner
2021-07-20 16:42 Matt Turner
2021-06-25 23:57 Matt Turner
2021-06-25 23:57 Matt Turner
2021-05-09 4:00 Matt Turner
2021-05-04 21:00 Matt Turner
2021-03-29 1:42 Matt Turner
2021-01-25 3:22 Matt Turner
2020-11-17 4:57 Matt Turner
2020-11-17 4:57 Matt Turner
2020-09-23 18:52 Matt Turner
2020-08-05 16:44 Matt Turner
2020-05-03 21:22 Matt Turner
2020-03-31 20:44 Matt Turner
2019-12-31 16:15 Matt Turner
2019-10-09 0:38 Matt Turner
2019-10-09 0:38 Matt Turner
2019-10-09 0:38 Matt Turner
2019-08-27 23:27 Matt Turner
2019-08-24 16:27 Matt Turner
2019-08-23 16:52 Matt Turner
2019-07-29 19:06 Mikle Kolyada
2019-07-29 18:54 Thomas Deutschmann
2019-07-29 9:00 Mikle Kolyada
2019-07-29 9:00 Mikle Kolyada
2019-07-28 19:26 Matt Turner
2019-07-26 17:55 Sergei Trofimovich
2019-07-25 18:31 Sergei Trofimovich
2019-07-24 21:39 Aaron Bauman
2019-07-24 17:29 Matt Turner
2019-07-23 22:42 Matt Turner
2019-07-23 21:44 Matt Turner
2019-07-23 7:03 Matt Turner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1564341472.083dce930d174d21bd9c488a7bd1c1e5589bfa04.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox